<template>
    <div>
        <AuthorDetails />
        <HandoutTiles />
        <LinkTiles />
        <CommentTiles />
        <MaghaleFooter />
    </div>
</template>

<script setup>
import { useMaghaleStore } from '~/store';
const store = useMaghaleStore()

const activity = await $fetch(useRuntimeConfig().public.BaseUrl + 'authors/get_activity/' + useRoute().params.id)

useSeoMeta({
    title: activity.title,
    ogTitle: activity.title,
    image: activity.get_image,
    ogImage: activity.get_image,
    ogImageUrl: activity.get_image,
    description: activity.abstract,
    ogDescription: activity.abstract,
});

store.setActivityTitle(activity)
</script>